commit 90a4981e0951687056ec4735cfd3043b35a23502
Author: Thomas Rodgers <rodgert@twrodgers.com>
Date:   Thu Sep 16 23:42:58 2021

    libstdc++: Fix UB in atomic_ref/wait_notify.cc [PR101761]
    
    Remove UB in atomic_ref/wait_notify test.
    
    Signed-off-by: Thomas Rodgers <trodgers@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/101761
            * testsuite/29_atomics/atomic_ref/wait_notify.cc (test): Use
            va and vb as arguments to wait/notify, remove unused bb local.
    
    (cherry picked from commit f9f1a6efaaeeec06d5c07378734cb8eb47b976a7)

diff --git a/libstdc++-v3/testsuite/29_atomics/atomic_ref/wait_notify.cc b/libstdc++-v3/testsuite/29_atomics/atomic_ref/wait_notify.cc
index b75e27617f7..b41d1ac0bb7 100644
--- a/libstdc++-v3/testsuite/29_atomics/atomic_ref/wait_notify.cc
+++ b/libstdc++-v3/testsuite/29_atomics/atomic_ref/wait_notify.cc
@@ -33,15 +33,14 @@ template<typename S>
     if constexpr (std::atomic_ref<S>::is_always_lock_free)
     {
       S aa{ va };
-      S bb{ vb };
       std::atomic_ref<S> a{ aa };
-      a.wait(bb);
+      a.wait(vb);
       std::thread t([&]
         {
-	  a.store(bb);
+	  a.store(vb);
 	  a.notify_one();
         });
-      a.wait(aa);
+      a.wait(va);
       t.join();
     }
   }

